ch.qos.logback.core.recovery

## Class ResilientFileOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - ch.qos.logback.core.recovery.ResilientOutputStreamBase
    - - ch.qos.logback.core.recovery.ResilientFileOutputStream

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

    public class ResilientFileOutputStream
    extends ResilientOutputStreamBase

### Field Summary

### Fields inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`os, presumedClean`

### Constructor Summary

Constructors
Constructor and Description
`ResilientFileOutputStream(File file, boolean append, long bufferSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`FileChannel` `getChannel()`
`File` `getFile()`
`String` `toString()`

### Methods inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`addStatus, close, flush, getContext, postIOFailure, setContext, write, write`

### Methods inherited from class java.io.OutputStream

`write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResilientFileOutputStream

    public ResilientFileOutputStream(File file,
                                     boolean append,
                                     long bufferSize)
                              throws FileNotFoundException

Throws:
  `FileNotFoundException`

### Method Detail

#### getChannel

    public FileChannel getChannel()

#### getFile

    public File getFile()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`